<?xml version="1.0"?>
<configuration>
  
	<!--Request .NET framework CLR runtime support for .NET4.0, .NET3.5 and .NET3.0-->
	<startup useLegacyV2RuntimeActivationPolicy="true">
    <supportedRuntime version="v4.0"/>
    <supportedRuntime version="v2.0.50727"/>    
  </startup>
  
	<appSettings>
		<add key="debug" value="true"/>
	</appSettings>
  
	<system.web>
		<compilation debug="true"/>
	</system.web>
  
	<system.serviceModel>
		<bindings>
			<netNamedPipeBinding>
				<binding name="IAStorWcfBinding" receiveTimeout="infinite" sendTimeout="00:00:10"/>
			</netNamedPipeBinding>
		</bindings>
		<behaviors>
			<serviceBehaviors>
				<behavior name="ServiceBehavior">
					<serviceDebug includeExceptionDetailInFaults="true"/>
				</behavior>
			</serviceBehaviors>
		</behaviors>
		<!-- Setup information for the client to find the server. -->
		<services>
			<service name="IAStorDataMgrSvcInterfaces.PublisherService" behaviorConfiguration="ServiceBehavior">
				<endpoint address="net.pipe://localhost/Publisher" binding="netNamedPipeBinding" bindingConfiguration="IAStorWcfBinding" contract="IAStorDataMgrSvcInterfaces.IPublisher"/>
			</service>
		</services>
	</system.serviceModel>
</configuration>
